Update folder permissions Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/folder/{folder_uuid}/permissions

Path parameters

  • folder_uuid string Required
application/json

Body

  • clients_read boolean Required

    Give read access to all clients that can view the documentable item.

  • clients_write boolean Required

    Give write access to all clients that can view the documentable item.

  • participants array[object]

    Give read and write access to specific people that can view the documentable item.

    Hide participants attributes Show participants attributes object
    • uuid string(uuid)

      The UUID of the participant to give permissions to.

    • write boolean

      Write permission for this participant.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v1/folder/{folder_uuid}/permissions
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/folder/6ff8f7f6-1eb3-3525-be4a-3932c805afed/permissions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"clients_read":false,"clients_write":false,"participants":[{"uuid":"41bfbf82-2147-482c-9669-6d3e5561587b","write":false},{"uuid":"bda330a1-9874-4cd4-b4c4-0c54c30d78bb","write":true}]}'
Request examples
{
  "clients_read": false,
  "clients_write": false,
  "participants": [
    {
      "uuid": "41bfbf82-2147-482c-9669-6d3e5561587b",
      "write": false
    },
    {
      "uuid": "bda330a1-9874-4cd4-b4c4-0c54c30d78bb",
      "write": true
    }
  ]
}
Response examples (401)
{
  "message": "Unauthenticated."
}